Package org.springframework.cloud.task.configuration

# Class TaskLifecycleConfiguration

java.lang.Object
org.springframework.cloud.task.configuration.TaskLifecycleConfiguration

@Configuration(proxyBeanMethods=false) public class TaskLifecycleConfiguration extends Object
Configuration for a `TaskLifecycleListener`.

Since:
  2.1
Author:
  Glenn Renfro, Michael Minella

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.apache.commons.logging.Log`
  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskLifecycleConfiguration(TaskProperties taskProperties, org.springframework.context.ConfigurableApplicationContext context, TaskRepository taskRepository, TaskExplorer taskExplorer, TaskNameResolver taskNameResolver, org.springframework.beans.factory.ObjectProvider<org.springframework.boot.ApplicationArguments> applicationArguments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `initialize()`
  Initializes the `TaskLifecycleListener` for the task app.
  `TaskLifecycleListener`
  `taskLifecycleListener()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### logger

    protected static final org.apache.commons.logging.Log logger

- ## Constructor Details

  - ### TaskLifecycleConfiguration

    @Autowired public TaskLifecycleConfiguration(TaskProperties taskProperties, org.springframework.context.ConfigurableApplicationContext context, TaskRepository taskRepository, TaskExplorer taskExplorer, TaskNameResolver taskNameResolver, org.springframework.beans.factory.ObjectProvider<org.springframework.boot.ApplicationArguments> applicationArguments)

- ## Method Details

  - ### taskLifecycleListener

    @Bean public TaskLifecycleListener taskLifecycleListener()

  - ### initialize

    @PostConstruct protected void initialize()
    Initializes the `TaskLifecycleListener` for the task app.